## gopher-3.1.1.zip

=== object/Makefile ===
srcdir = .
top_srcdir = ..


include ../Makefile.config


CCFLAGS	= $(OPT) -g -O2 $(INTLOPTS) $(DEBUGGING) $(WAISTYPE) $(SOCKSFLAGS) -I.. -I$(srcdir)  -I$(top_srcdir) 

OBJS	= STRstring.o GDgopherdir.o GSgopherobj.o \
	  DAarray.o   VIews.o       BLblock.o \
	  Sockets.o   util.o        compatible.o \
	  url.o       Debug.o       Regex.o \
	  fileio.o    Locale.o      RBTree.o


TARGET	= libgopher.a libgopher.so.0.1

all: shared $(TARGET)

#
# Make shared library directories
#
shared:
	@-if [ -f /lib/ld.so -a "$(SHAREDLIB)" = "sun" ]; \
	then \
		mkdir shared-sun; \
	fi
	touch shared


.c.o: $(OBJS)
	gcc $(CCFLAGS) $(PIC) -c $<
	@-if [ -d shared-sun ]; then \
		echo "Building shared version of $@"; \
		gcc $(CCFLAGS) -fPIC -o shared-sun/$@ -c $<; \
	fi

#
# Stuff for shared libraries
#

libgopher.so.0.1: $(OBJS)
	@-if [ -d shared-sun ]; then \
		echo "Building shared library $@"; \
		cd shared-sun; \
		rm -f $@; \
		ld -o $@ -assert pure-text $(OBJS);\
		mv $@ ..; \
	fi

libgopher.sa.0.1: $(OBJS)
	;


libgopher.a: $(OBJS)
	rm -f libgopher.a
	ar rcv libgopher.a $(OBJS)
	ranlib libgopher.a || true

clean:
	-rm -f $(TARGET) $(OBJS) *.out *~ core TAGS \
	       *.sa.* shared
	-rm -rf shared-sun

GSgopherobj.o:	$(srcdir)/GSgopherobj.h


Locale.o: $(srcdir)/Locale.h $(srcdir)/Locale.c
	gcc $(CCFLAGS) $(PIC) -DLOCALEDIR=\"$(CLIENTLIB)/gophernls\" -c $(srcdir)/Locale.c
	@-if [ -d shared-sun ]; then \
		echo "Building shared version of $@"; \
		gcc $(CCFLAGS) -DLOCALEDIR=\"$(CLIENTLIB)/gophernls\" \
			-fPIC -o shared-sun/$@ -c $(srcdir)/Locale.c; \
	fi

#
#install shared libraries if need be..
#
install:
	@-if [ -f *.so.* ]; then \
	  echo "Installing Sun shared gopher library" ;\
	  /usr/bin/install -c libgopher.so.0.1 $(CLIENTLIB); \
	  /usr/bin/install -c libgopher.a $(CLIENTLIB); \
	fi

=== debian/changelog ===
gopher (3.1.1) unstable; urgency=medium

  * Fixed small bug in displaying A_INFO lines (line 9 was spaced wrong)
  * Addes Curses colors to different link types

 -- Joe Lyman <tfurrows@gmail.com>  Mon, 25 Apr 2016 13:15:00 -0700

gopher (3.0.15) unstable; urgency=medium

  * Correct possible segfault in option parsing.  Closes #715977, #715978.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 19:00:08 -0600

gopher (3.0.14) unstable; urgency=medium

  * Fix Debian (Closes: #798758) thanks to patch from Axel Beckert
    + Use autoconf and gnulib instead of autoconf2.13.
    + debian/rules: configure-stamp is a dependency of build-stamp, not build.
    + debian/rules: Add symlink to /usr/share/gnulib/lib/getloadavg.c and
      remove it again in the clean target.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 11:47:19 -0600

gopher (3.0.13) unstable; urgency=low

  * More changes to download.c to prefer getcwd() to get_current_dir_name().
    Closes: #366560.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 17 Jun 2006 11:10:31 -0500

gopher (3.0.12) unstable; urgency=low

  * Applied patch to make it build for Hurd.  Closes: #346447.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 May 2006 10:37:49 -0500

gopher (3.0.11) unstable; urgency=high

  * [security] Fix for client buffer overflows [CAN-2005-2772].

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Sep 2005 05:24:02 -0500

gopher (3.0.10) unstable; urgency=low

  * Version 3.0.8 fixed the security bug that was later submitted
    as CAN-2005-1853 and DSA-770-1.
  * The upload for this changelog notice was requested by the Debian 
    testing-security team.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 30 Jul 2005 16:16:07 -0500

gopher (3.0.9) unstable; urgency=low

  * Updated version number in patchlevel.h.  (Oops, it still says 3.0.5)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Jul 2005 05:55:50 -0500

gopher (3.0.8) unstable; urgency=low

  * Fix compile error with gcc 3.4.  Closes: #258752.
  * Fixed warnings relating to prototypes.  In download.c,
    prefer getcwd() to get_current_dir_name().  Closes: #226552.
  * No longer crash on problems piping to external programs.
    Thanks, Goeran Weinholt, for the patch.  Closes: #128990.
  * Install makes dirs for manpages if they don't already exist.
    Combined with other fixes in this version and prior versions,
    all bugs in 142913 are resolved.  Closes: #142913.
  * [debian] Removed build-deps on build-essential packages.
    Closes: #262423.
  * [debian] Updated standards-version and to new debhelper.
  * Fixed a small memory leak in download.c.
  * Fix potential insecure /tmp usage in gopher.c.
  * Use socklen_t instead of int for socket length operations,
    avoiding warnings about incorrect signedness.
  * Updated copyright files.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Jul 2005 05:41:40 -0500

gopher (3.0.7) unstable; urgency=low

  * Use Autoconf 2.13 on Debian systems.  Closes: #206183.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Aug 2003 12:59:02 -0500

gopher (3.0.6) unstable; urgency=low

  * Deprecated gopherd in favor of PyGopherd.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 12:11:17 -0500

gopher (3.0.5) unstable; urgency=low

  * Integrated my patch to 3.0.4 for Solaris compilation.
  * Logging with chroot has long since been fixed; added a note to
    startopts about other chroot stuff.  Closes: #82590, #82591.
  * Gopherd sometimes sent "+INFO " instead of "+INFO: ".  Fixed.
    Closes: #142912.
  * doc/Makefile.in: Install manpages 0644 instead of 0755.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Apr 2002 09:09:55 -0500

gopher (3.0.4) unstable; urgency=low
  * MAJOR rewrite of regex support.  This should make gopher
    compile and work better on several platforms.
  * Added regcomp and regree func checks to configure.in and
    regenerated configure and config.h
  * Removed the DOMAIN configure support, DOMAIN_NAME in gopherd,
    backupdomain in Socket.c, etc.  This should prevent the no.domain.name
    problem that people have been seeing.  Regenerated configure stuff.
  * Added line for .png to gopherd.conf.in
  * Added note about UFS builds on MacOS X to doc/PLATFORMS
  * Added FAQ and modified debian/docs
  * Updated gopherd.8 with information about type 'i'
  * Fixed gopher's URL handling -- it was missing the type character.
    Closes: #138337.
  * Another regex change.  Let's hope this fixes things for Solaris.
  * Fixed to properly calculated first arg to select in gopherd.c

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Mar 2002 13:08:39 -0500

gopher (3.0.3) unstable; urgency=low
  * Patches for FreeBSD:
    * Test in configure for stdlib.h
    * Include stdlib.h if it's available in Malloc.h
    * Don't include malloc.h if it's missing in Malloc.h
    * Don't include strcasestr if it's present in util.c and util.h
  * Actually use our configure.in test for malloc.h in object/* files.
  * New configure.in tests for regexp.h and libgen.h
  * Regex.c: define __GOPHER_REGEX_C__ for extern support in Regex.h
  * Regex.c: For __APPLE__, REGEX_param is regexp *.
  * Regex.h: Move the lengthy SYSV regex test to top of file
  * Regex.h: Wrap libgen.h include in HAVE_LIBGEN_H
  * Regex.h: Enclose REGEX_param=regcomp in parens to avoid warnings
  * Regex.h: Add extern for REGEX_param.
  * Regex.h: Darwin is unlike anything else.  Support it with
    __APPLE__.
  * STRstring.h: Include malloc.h only if actually here.
  * Ditto for Stdlib.h.
  * Added /etc/logrotate.d/gopherd to gopherd.conffiles.
    Closes: #132804.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Feb 2002 07:45:00 -0500

gopher (3.0.2) unstable; urgency=low

  * gopher: Removed processing of . at end of text files.  It would stop
    downloading when it would see ".\n" in a file.  Will need to modify
    gopher/ourutils.c:937 area to deal with this properly -- ignore


=== debian/control ===
Source: gopher
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.0.0), ncurses-dev, autoconf, gnulib

Package: gopher
Provides: gopher-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Hypertext Client, Gopher protocol
 This package contains the client for the distributed global directory
 and hypertext system known as gopher.  This is a text-based (ncurses)
 client from the University of Minnesota.  It also supports the gopher+
 protocol, as well as links to ftp, http, and other external viewers.
 This version contains a few small bug fixes, plus Curses colors for
 different types of links.
